Subject: Re: Invisible link?
From: "Gerrit P. Haase" <[email-masked]>
To: "John Carlyle- Clarke" <[email-masked]>
Cc: "Cygwin List (E-mail)" <[email-masked]>
Date: Wed, 18 Sep 2002 16:23:04 +0200

John schrieb:

> Can anyone explain the shell output below?  I am probably missing
> something obvious, but there seems to be a link from /usr to /lib
> which is invisible.  What is going on here?

x:/cygwin/lib is mounted to /usr/lib

Usually there is also a directory x:/cygwin/usr/lib created by setup.exe
during install (or is this no longer valid?).

> johncc@WINTERMUTE /usr
> $ ls -la
> total 312
> drwxr-xr-x   17 Administ Administ     4096 Sep 17 11:43 .
> drwxrwxrwx   13 Administ None         4096 Sep 17 11:49 ..
> drwxr-xr-x   11 Administ Administ     4096 Sep 17 09:14 X11R6
> drwxr-xr-x    4 Administ Administ        0 Aug 14 11:15 autotool
> drwxr-xr-x    3 Administ Administ   131072 Sep 17 15:57 bin
> drwxr-xr-x   54 Administ Administ    12288 Sep 17 15:56 doc
> drwxr-xr-x    3 Administ Administ        0 Sep 17 11:25 i686-pc-cygwin
> drwxr-xr-x   17 Administ Administ    28672 Sep 17 15:57 include
> drwxr-xr-x    2 Administ Administ   106496 Sep 17 15:57 info
> drwxr-xr-x   13 Administ Administ     4096 Sep 13 10:54 local
> drwxr-xr-x   11 Administ Administ     4096 Sep 17 10:43 man
> drwxr-xr-x    3 Administ Administ     8192 Sep 18 08:43 sbin
> drwxr-xr-x   23 Administ Administ     8192 Sep 17 11:43 share
> drwxr-xr-x    2 Administ Administ        0 Sep 17 09:24 src
> drwxr-xr-x    6 Administ Administ     4096 Sep 17 10:41 ssl
> drwxr-xr-x    2 Administ Administ        0 Jul 26  2001 tmp
> drwxr-xr-x    2 Administ Administ        0 Sep 17 11:43 var

> johncc@WINTERMUTE /usr
> $ cd lib

> johncc@WINTERMUTE /usr/lib
> $ ls
> automode.o     libautomode.a   ....etc.

$ mount
...
C:\cygwin\lib on /usr/lib type system (binmode)
...

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/